Page MenuHomePhabricator

Uploaded images should be added to watchlist
Closed, ResolvedPublic

Description

Author: dunc_harris

Description:
When one uploads an image, one ought to have the opportunity to add the image
description page to one's watchlist. This might not be to everyone's liking, so you
will probably need to use a checkbox on the upload page.


Version: unspecified
Severity: enhancement

Details

Commits
Unknown Object (Diffusion Commit)
Unknown Object (Diffusion Commit)
Unknown Object (Diffusion Commit)
Reference
bz2570

Event Timeline

bzimport raised the priority of this task from to High.Nov 21 2014, 8:35 PM
bzimport added a project: MediaWiki-Uploading.
bzimport set Reference to bz2570.
bzimport created this task.Jun 28 2005, 2:19 PM

I would like this, particularly for the commons.
Imho it would work best as a checkbox on the upload page with an option to
choose the default in your preferences, as is the case for article edits.

ui2t5v002 wrote:

Definitely. There should be an option near "Add pages you edit to your
watchlist". (And both should be turned on by default...)

I've upped the priority on this to "High" in the light of the new
speedy-deletion criteria that Jimbo added for images with unknown
source/copyright status. If these images are on people's watchlists by default
then there is a much higher chance of spotting when a tag has been put on it.
I know it is good practice to inform the uploaded when adding these tags, but
inevitably this wont happen with everyone and, imho, a belt-and-braces approach
would be beneficial.

brion added a comment.Sep 18 2005, 9:43 PM

Taking bug.

brion added a comment.Sep 19 2005, 6:23 AM

I've committed the fix for this itself to REL1_5 and HEAD, however I should note
it's currently of limited use. Uploads don't add an entry to the recentchanges
table for the *image*, just on the upload log, so you won't see anything in the
watchlist on a re-upload or image revert.

What you *will* see is someone adding "{{deleteme}}" to the page or commenting on
its talk page.

What you *won't* see is someone replacing it with goatse.

Resolving this as fixed; it may be worthwhile adding the other as a separate bug to
keep in mind.

dunc_harris wrote:

I've added http://bugzilla.wikimedia.org/show_bug.cgi?id=3509 relating to setting
this on or off in user preferences.

Gilles raised the priority of this task from High to Unbreak Now!.Dec 4 2014, 10:19 AM
Gilles added a project: Multimedia.
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to High.Dec 4 2014, 11:23 AM
epriestley added a commit: Unknown Object (Diffusion Commit).Mar 4 2015, 8:15 AM
epriestley added a commit: Unknown Object (Diffusion Commit).
epriestley added a commit: Unknown Object (Diffusion Commit).